﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
	  <Nullable>enable</Nullable>
    <IsPackable>false</IsPackable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.0.0" />
    <PackageReference Include="NUnit" Version="3.13.2" />
    <PackageReference Include="NUnit3TestAdapter" Version="4.2.0" />
    <PackageReference Include="coverlet.collector" Version="3.1.0" />
    <PackageReference Include="System.Data.SQLite.Core" Version="1.0.115.5" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Byte.Toolkit.Db\Byte.Toolkit.Db.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="data\*">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <None Update="MultiDbManagerTests\Database\my_db.sqlite">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="MultiDbManagerTests\Database\Queries\Category.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="MultiDbManagerTests\Database\Queries\Product.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
